{% import 'AppBundle:Macros:macros.html.twig' as this %}
{% extends 'AppBundle::_panelBlueTemplate.html.twig' %}
    {% block panel_title %}
        Mes groupes
    {% endblock %}
    {% block panel_body %}
    <ul class="list-group">
            {#Assemblée#}
            {% set assemblee = data_helper.getAssemblee() %}
        <li class="list-group-item">
            <a class="{{ assemblee.color }}Color" href="{{ path('group_view', {id: assemblee.id}) }}">{{ assemblee }}</a>
        </li>

            
            {#Copil#}
            {% if app.user|default(null) and app.user.referent %}
                {% set copil = data_helper.getCopil() %}
                <li class="list-group-item">
                    <a class="{{ copil.color }}Color" href="{{ path('group_view', {id: copil.id}) }}">{{ copil }}</a>
                </li>
            {% endif %}
            
            {#Other groups#}
            {% for gr in app.user.workingGroups %}
                {% set g = gr.group %}
                <li class="list-group-item">
                    <a class="{{ g.color }}Color" href="{{ path('group_view', {id: g.id}) }}">{{ g }}</a>
                    <span class="pull-right"><a href="#"
                       actionUrl="{{ path('group_unsubscribe', { 'group_id':g.id, 'user_id': app.user.id }) }}"
                       class="modal-form btn btn-primary btn-xs"><i class="fa fa-minus"></i>&nbsp;&nbsp;Se désinscrire</a></span>
                </li>
            {% endfor %}
    </ul>
        {% if app.user.workingGroups|length == 0 %}
            <p>Vous n'êtes inscrit.e à aucun groupe.</p><br>
            <p class="help">Pour vous inscrire dans un groupe, retournez sur l'accueil, sélectionnez un des
                groupes en cliquant sur la bulle et cliquez sur "S'inscrire"</p>
{% endif %}
    {% endblock %}


